######################## CONTENTS ##################################################


#### GROUP COHESION ###################################################################################################

### Effect of groupsize on latency following the initiator? 
### Fig. 1

### How often do how many group members follow? Are all follower numbers equally likely?
### Fig. 2



#### DEPARTURE ORDER ##################################################################################################

### Plotting the distribution of age and sex classes on departure ranks
### Fig. S1 & Fig. S2

### Difference in departure position between juveniles, adult males and adult females
### Fig.3



#### INTERACTIONS BETWEEN FACTORS #####################################################################################

### Assortativity of affiliative realtionships by agesex

### Distance to the initiator at departure dependent on agesex

### Is distance predicted by affiliation or agesex combination of the dyad?
###Fig. S3


#### EFFECT OF AFFILATION ON FOLLOWING ################################################################################

### Variation in affiliation strength (DSI)
###Fig. S4

### Effect of affiliation on the inter-departure interval



#### EFFECT OF PROXIMTIY AT DEPARTURE ON FOLLOWING ####################################################################

### Influence of distance to the initiator (distini) on following latency? 

### Influence of distance to the predecessor (distprec) on following latency?

### Fig. 4




### GROUP COHESION ####################################################################################################

### Effect of groupsize on latency following the initiator?

d <- read.table(file="lat_groupsize.txt",header=T, dec=",")
head(d)


boxplot(d$max_lat ~ d$max_numbprec)

###only consider movements in which the whole group followed
d_all <- subset(d, d$max_numbprec == (d$groupsize-1))
d_all <- na.omit(d_all)
nrow(d_all)
#106

table (d_all$groupsize)
#6  8 11 
#50 28 28

table (d_all$group)
#A  B  F  J 
#28 25 25 28

str(d_all)


## Fig. 1:

boxplot(d_all$max_lat ~ d_all$groupsize, col = "black", medcol= "white", outpch = NA , frame.plot = FALSE, names= c("6", "8", "11"))
box(bty="l")
title(ylab="Last follower latency (s)", xlab= "Group size", font.lab= 2)
stripchart(d_all$max_lat ~ d_all$groupsize,
           vertical = TRUE, method = "jitter",
           pch = 21, col = "black", bg = "white",
           add = TRUE) 



require(lmerTest)

m <- lmer(max_lat ~ groupsize +   (1 | iniID)  + (1 | folID)  , data = d_all)

qqnorm(residuals(m)); qqline(residuals(m))
plot(fitted.values(m), residuals(m))

m0 <- lmer(max_lat ~   (1 | iniID)  + (1 | folID)  , data = d_all)

anova(m, m0)
# Data: d_all
# Models:
#   ..1: max_lat ~ (1 | iniID) + (1 | folID)
# object: max_lat ~ groupsize + (1 | iniID) + (1 | folID)
#       Df   AIC   BIC   logLik   deviance Chisq Chi Df Pr(>Chisq)   
# ..1     4 1387.2 1397.8 -689.59   1379.2                           
# object  5 1381.6 1394.9 -685.81   1371.6 7.567      1   0.005945 **

##groupsize better than nullmodel

summary(m)
# Linear mixed model fit by REML 
# t-tests use  Satterthwaite approximations to degrees of freedom ['lmerMod']
# Formula: max_lat ~ groupsize + (1 | iniID) + (1 | folID)
# Data: d_all
# 
# REML criterion at convergence: 1358.5
# 
# Scaled residuals: 
#   Min      1Q  Median      3Q     Max 
# -1.5182 -0.8105 -0.2139  0.7458  2.3039 
# 
# Random effects:
#   Groups   Name        Variance Std.Dev.
# folID    (Intercept)   124.9   11.18  
# iniID    (Intercept)     0.0    0.00  
# Residual             24741.5  157.29  
# Number of obs: 106, groups:  folID, 30; iniID, 22
# 
# Fixed effects:
#                Estimate Std. Error  df t value Pr(>|t|)   
# (Intercept)    69.51      60.94   14.67   1.141  0.27230   
# groupsize      22.86       7.50   18.66   3.049  0.00671 **
#   ---
#   Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1
# 
# Correlation of Fixed Effects:
#   (Intr)
# groupsize -0.967




### How often do how many group members follow? Are all follower numbers equally likely?


dat <- read.table(file="lat_groupsize.txt",header=T, dec=",")
head(dat)

str(dat)

dat$eventID <- as.factor(dat$eventID)
dat$numb_foll <- dat$max_numbprec

foll_A <- dat[dat$group=="A",]

tab_A <- as.data.frame(table(foll_A$numb_foll))

#     Var1 Freq
# 1    1    3
# 2    2    2
# 3    3    3
# 4    4    3
# 5    5    3
# 6    6    6
# 7    7   29

#percent all follow:
29/49*100
#59.18367

chisq.test(tab_A$Freq)
#Chi-squared test for given probabilities

# data:  tab_A$Freq
# X-squared = 82, df = 6, p-value = 1.379e-15




foll_B <- dat[dat$group=="B",]

tab_B <- as.data.frame(table(foll_B$numb_foll))
# Var1 Freq
# 1    1    1
# 2    2    3
# 3    4    7
# 4    5   26

26/37*100
#70.27027


chisq.test(tab_B$Freq)
#  Chi-squared test for given probabilities

# data:  tab_B$Freq
# X-squared = 42.4595, df = 3, p-value = 3.205e-09



foll_F <- dat[dat$group=="F",]


tab_F <- as.data.frame(table(foll_F$numb_foll))

# Var1 Freq
# 1    1    4
# 2    2    1
# 3    3    1
# 4    4    2
# 5    5   27

27/35*100
#77.14286

chisq.test(tab_F$Freq)
#Chi-squared test for given probabilities

# data:  tab_F$Freq
# X-squared = 72.2857, df = 4, p-value = 7.468e-15



foll_J <- dat[dat$group=="J",]

tab_J <- as.data.frame(table(foll_J$numb_foll))

# Var1 Freq
# 1    1    1
# 2    2    3
# 3    3    3
# 4    5    3
# 5    6    3
# 6    7    1
# 7    8    2
# 8    9    2
# 9   10   28

28/46*100
#60.86957

chisq.test(tab_J$Freq)
#Chi-squared test for given probabilities

# data:  tab_J$Freq
#X-squared = 116.3913, df = 8, p-value < 2.2e-16



## Fig. 2:
par(mfrow=c(2,2))
hist(foll_A$numb_foll, breaks=c(0.5,1.5,2.5,3.5,4.5,5.5,6.5,7.5), col ="black", border="white", main=NULL, xlab="Number of followers", axes=F)
axis(side=1, at=c(0:8))
axis(side=2, at=seq(0, 30, by=5))
hist(foll_B$numb_foll, breaks=c(0.5,1.5,2.5,3.5,4.5,5.5), col ="black", border="white", main=NULL, xlab="Number of followers", axes=F)
axis(side=1, at=c(0:6))
axis(side=2, at=seq(0, 30, by=5))
hist(foll_F$numb_foll, breaks=c(0.5,1.5,2.5,3.5,4.5,5.5), col ="black", border="white", main=NULL, xlab="Number of followers", axes=F)
axis(side=1, at=c(0:6))
axis(side=2, at=seq(0, 30, by=5))
hist(foll_J$numb_foll, breaks=c(0.5,1.5,2.5,3.5,4.5,5.5,6.5,7.5,8.5,9.5,10.5), col ="black", border="white", main=NULL, xlab="Number of followers", axes=F)
axis(side=1, at=c(0:11))
axis(side=2, at=seq(0, 30, by=5))



####DEPARTURE ORDER ##################################################################################################

### Plotting the distribution of age and sex classes on departure ranks. Seperately for each group because of different group sizes.


tat <- read.table(file="numbprec.txt",header=T, dec=".")


head(tat)
str(tat)

tat$sex <- rep("NA", each=nrow(tat))
tat$age <- rep("NA", each=nrow(tat))



tat$sex[tat$ID %in% c("al", "bo", "ca", "col", "cor", "ge", "hi", "hy", "in", "le", "lu", "ma", "mg", "pi", "pl", "qa", "ri", "sy")
        ] <- "f"
tat$sex[tat$ID %in% c("ba", "bb", "br", "gor", "goz", "ir", "ko", "my", "om", "pa", "ro", "tr", "vi")
        ] <- "m"


tat$age[tat$ID %in% c("al", "ba", "bo", "ca", "col", "cor", "ge", "gor", "goz", "ir", "ko", "lu", "ma", "mg", "my", "pa", "pi", "pl", "qa", "ro", "tr", "vi")
        ] <- "adult"
tat$age[tat$ID %in% c("bb", "br", "hi", "hy", "in", "le", "om", "qa", "ri", "sy")
        ] <- "sub"


unique(tat$sex)

unique(tat$age)


tat$sex <- as.factor(tat$sex)
tat$age <- as.factor(tat$age)


d_sort <- tat[,c(1,2,3,8,14:17)]

head(d_sort)
str(d_sort)
d_sort <- na.omit(d_sort)


### Juveniles and adults

d_As <- subset(d_sort, group == "A" & age == "sub")
d_Aa <- subset(d_sort, group == "A" & age == "adult")
d_As$numbprec_f <- as.factor(d_As$numbprec)
d_Aa$numbprec_f <- as.factor(d_Aa$numbprec)

d_Bs <- subset(d_sort, group == "B" & age == "sub")
d_Ba <- subset(d_sort, group == "B" & age == "adult")
d_Bs$numbprec_f <- as.factor(d_Bs$numbprec)
d_Ba$numbprec_f <- as.factor(d_Ba$numbprec)

d_Fs <- subset(d_sort, group == "F" & age == "sub")
d_Fa <- subset(d_sort, group == "F" & age == "adult")
d_Fs$numbprec_f <- as.factor(d_Fs$numbprec)
d_Fa$numbprec_f <- as.factor(d_Fa$numbprec)

d_Js <- subset(d_sort, group == "J" & age == "sub")
d_Ja <- subset(d_sort, group == "J" & age == "adult")
d_Js$numbprec_f <- as.factor(d_Js$numbprec)
d_Ja$numbprec_f <- as.factor(d_Ja$numbprec)



## Males and females

d_Am <- subset(d_sort, group == "A" & sex == "m")
d_Af <- subset(d_sort, group == "A" & sex == "f")
d_Am$numbprec_f <- as.factor(d_Am$numbprec)
d_Af$numbprec_f <- as.factor(d_Af$numbprec)

d_Bm <- subset(d_sort, group == "B" & sex == "m")
d_Bf <- subset(d_sort, group == "B" & sex == "f")
d_Bm$numbprec_f <- as.factor(d_Bm$numbprec)
d_Bf$numbprec_f <- as.factor(d_Bf$numbprec)

d_Fm <- subset(d_sort, group == "F" & sex == "m")
d_Ff <- subset(d_sort, group == "F" & sex == "f")
d_Fm$numbprec_f <- as.factor(d_Fm$numbprec)
d_Ff$numbprec_f <- as.factor(d_Ff$numbprec)

d_Jm <- subset(d_sort, group == "J" & sex == "m")
d_Jf <- subset(d_sort, group == "J" & sex == "f")
d_Jm$numbprec_f <- as.factor(d_Jm$numbprec)
d_Jf$numbprec_f <- as.factor(d_Jf$numbprec)



##Adult males and females

d_Ama <- subset(d_Aa, sex == "m")
d_Afa <- subset(d_Aa, sex == "f")

d_Ama$numbprec_f <- as.factor(d_Ama$numbprec)
d_Afa$numbprec_f <- as.factor(d_Afa$numbprec)
d_Ama <- droplevels(d_Ama)
d_Afa <- droplevels(d_Afa)

d_Bma <- subset(d_Ba, sex == "m")
d_Bfa <- subset(d_Ba, sex == "f")

d_Bma$numbprec_f <- as.factor(d_Bma$numbprec)
d_Bfa$numbprec_f <- as.factor(d_Bfa$numbprec)
d_Bma <- droplevels(d_Bma)
d_Bfa <- droplevels(d_Bfa)

d_Fma <- subset(d_Fa, sex == "m")
d_Ffa <- subset(d_Fa, sex == "f")

d_Fma$numbprec_f <- as.factor(d_Fma$numbprec)
d_Ffa$numbprec_f <- as.factor(d_Ffa$numbprec)
d_Fma <- droplevels(d_Fma)
d_Ffa <- droplevels(d_Ffa)

d_Jma <- subset(d_Ja, sex == "m")
d_Jfa <- subset(d_Ja, sex == "f")

d_Jma$numbprec_f <- as.factor(d_Jma$numbprec)
d_Jfa$numbprec_f <- as.factor(d_Jfa$numbprec)
d_Jma <- droplevels(d_Jma)
d_Jfa <- droplevels(d_Jfa)



par(mfrow=c(2,2))

## Fig. S1:
barplot(table(d_Aa$numbprec)/nrow(d_Aa), col="darkgrey", border=F, ylim=c(0,0.3), ylab ="% of total observations of each age class", xlab="departure rank", cex.lab=1.2)
barplot(table(d_As$numbprec)/nrow(d_As), col="black", density= 20, border=T, add=T)

barplot(table(d_Ba$numbprec)/nrow(d_Ba), col="darkgrey", border=F, ylim=c(0,0.35), ylab ="% of total observations of each age class", xlab="departure rank", cex.lab=1.2)
barplot(table(d_Bs$numbprec)/nrow(d_Bs), col="black", density= 20, border=T, add=T)

barplot(table(d_Fa$numbprec)/nrow(d_Fa), col="darkgrey", border=F, ylim=c(0,0.3), ylab ="% of total observations of each age class", xlab="departure rank", cex.lab=1.2)
barplot(table(d_Fs$numbprec)/nrow(d_Fs), col="black", density= 20, border=T, add=T)

barplot(table(d_Ja$numbprec)/nrow(d_Ja), col="darkgrey", border=F, ylim=c(0,0.2), ylab ="% of total observations of each age class", xlab="departure rank", cex.lab=1.2)
barplot(table(d_Js$numbprec)/nrow(d_Js), col="black", density= 20, border=T, add=T)

## Fig. S2:
barplot(table(d_Afa$numbprec)/nrow(d_Afa), col= "darkgrey", border=F,  ylim=c(0,0.25), ylab ="% of total observations of each sex", xlab="departure rank", cex.lab=1.2)
barplot(table(d_Ama$numbprec)/nrow(d_Ama), col="black", density= 20, border=T,add=T)

barplot(table(d_Bfa$numbprec)/nrow(d_Bfa), col= "darkgrey", border=F,  ylim=c(0,0.35), ylab ="% of total observations of each sex", xlab="departure rank", cex.lab=1.2)
barplot(table(d_Bma$numbprec)/nrow(d_Bma), col="black", density= 20, border=T,add=T)

barplot(table(d_Ffa$numbprec)/nrow(d_Ffa), col= "darkgrey", border=F,  ylim=c(0,0.3), ylab ="% of total observations of each sex", xlab="departure rank", cex.lab=1.2)
barplot(table(d_Fma$numbprec)/nrow(d_Fma), col="black", density= 20, border=T,add=T)

barplot(table(d_Jfa$numbprec)/nrow(d_Jfa), col= "darkgrey", border=F,  ylim=c(0,0.25), ylab ="% of total observations of each sex", xlab="departure rank", cex.lab=1.2)
barplot(table(d_Jma$numbprec)/nrow(d_Jma), col="black", density= 20, border=T,add=T)




### Difference in departure position between juveniles, adult males and adult females 

cat <- read.table(file="dep_position.txt",header=T, dec=".")

head(cat)
str(cat)

cat$sex <- rep("NA", each=nrow(cat))


cat$sex[cat$ID %in% c("al", "bo", "ca", "col", "cor", "ge", "hi", "hy", "in", "le", "lu", "ma", "mg", "pi", "pl", "qa", "ri", "sy")
        ] <- "f"
cat$sex[cat$ID %in% c("ba", "bb", "br", "gor", "goz", "ir", "ko", "my", "om", "pa", "ro", "tr", "vi")
        ] <- "m"


cat$agesex <- cat$sex
cat$agesex[cat$ID %in% c("bb", "br", "hi", "hy", "in", "le", "om", "qa", "ri", "sy")
           ] <- "sub"

unique(cat$sex)
unique(cat$agesex)

cat$sex <- as.factor(cat$sex)
cat$agesex <- as.factor(cat$agesex)

cat$ID_sum_follow <-"NA"  ##Number of events, in which the individual joined the mov

length(cat$group)
#31
K <- 31
for(k in 1:K){
  cat$ID_sum_follow[k] <- sum(cat[k, 3], cat[k, 6], cat[k, 9])
}


str(cat)

cat1<- cat[, c("group", "ID", "front", "mid","back", "not_join", "agesex")]
cat2<- cat[, c("group", "ID", "front_sum", "mid_sum",  "back_sum", "not_join_sum", "agesex")]
cat1 <- reshape(cat1, direction = "long", varying = list(3:6), idvar = "ID", v.names = "n", times = c("front", "middle", "back", "not_join"), timevar = "rank")
cat2 <- reshape(cat2, direction = "long", varying = list(3:6), idvar = "ID", v.names = "n", times = c("front_s", "middle_s", "back_s", "not_join_s"), timevar = "rank")



head(cat1)
head(cat2)

cat1$sum_foll <- cat$ID_sum_follow

cat <- cat1
head(cat)
cat$agesex_rank <- paste(cat$agesex, cat$rank, sep="_")

str(cat)

cat$rank <- as.factor(cat$rank)
cat$sum_foll <- as.numeric(cat$sum_foll)
cat$agesex_rank <- as.factor(cat$agesex_rank)




require(lmerTest)
library(multcomp)


m <- lm(log1p(n/sum_foll) ~ -1 + agesex_rank + group , data = cat)

qqnorm(residuals(m)); qqline(residuals(m))
plot(fitted.values(m), residuals(m))
kappa(model.matrix(m))
#21.22147

m0 <- lm(log1p(n/sum_foll) ~ 1 , data = cat)

anova(m0, m)
#Analysis of Variance Table

# Model 1: log1p(n/sum_foll) ~ 1
# Model 2: log1p(n/sum_foll) ~ -1 + agesex_rank + group
#   Res.Df    RSS Df Sum of Sq      F    Pr(>F)    
# 1    123 2.6013                                  
# 2    109 1.0728 14    1.5285 11.094 2.541e-15 ***



K <- matrix(nrow = 9, ncol = 15, 0)
K[1, ] <- c( 1, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)#fback-mback
K[2, ] <- c( 0, 1, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0)#ffront-mfront
K[3, ] <- c( 0, 0, 1, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0)#fmid-mmid
K[4, ] <- c( 1, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0)#fback-subback
K[5, ] <- c( 0, 1, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0)#ffront-subfront
K[6, ] <- c( 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0)#fmid-submid
K[7, ] <- c( 0, 0, 0, 0, 1, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0)#mback-subback
K[8, ] <- c( 0, 0, 0, 0, 0, 1, 0, 0, 0, -1, 0, 0, 0, 0, 0)#mfront-subfront
K[9, ] <- c( 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, -1, 0, 0, 0, 0)#mmid-submid

(g <- glht(m, linfct = K))
set.seed(1604)
(ci <- confint(g))
summary(g)

#   Simultaneous Confidence Intervals

# Fit: lm(formula = log1p(n/sum_foll) ~ -1 + agesex_rank + group, data = cat)
# 
# Quantile = 2.7889
# 95% family-wise confidence level
# 
# 
# Linear Hypotheses:
#   Estimate  lwr       upr      
# 1 == 0 -0.129813 -0.250748 -0.008878
# 2 == 0  0.122042  0.001107  0.242977
# 3 == 0  0.004160 -0.116775  0.125094
# 4 == 0 -0.051521 -0.172481  0.069439
# 5 == 0  0.213616  0.092655  0.334576
# 6 == 0 -0.146219 -0.267179 -0.025259
# 7 == 0  0.078292 -0.045611  0.202194
# 8 == 0  0.091574 -0.032329  0.215476
# 9 == 0 -0.150379 -0.274281 -0.026476
# 
# > summary(g)
# 
# Simultaneous Tests for General Linear Hypotheses
# 
# Fit: lm(formula = log1p(n/sum_foll) ~ -1 + agesex_rank + group, data = cat)
# 
# Linear Hypotheses:
#   Estimate Std. Error t value Pr(>|t|)    
#   1 == 0 -0.12981    0.04336  -2.994  0.02805 *  fmback
#   2 == 0  0.12204    0.04336   2.814  0.04660 *  fmfront
#   3 == 0  0.00416    0.04336   0.096  1.00000    
#   4 == 0 -0.05152    0.04337  -1.188  0.84133    
#   5 == 0  0.21362    0.04337   4.925  < 1e-04 *** fsubfront
#   6 == 0 -0.14622    0.04337  -3.371  0.00882 **  fsubmid
#   7 == 0  0.07829    0.04443   1.762  0.45867    
#   8 == 0  0.09157    0.04443   2.061  0.27511    
#   9 == 0 -0.15038    0.04443  -3.385  0.00843 ** msubmid
#   ---
#   Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1
# (Adjusted p values reported -- single-step method)



###plotting
par(mfrow=c(1,1))
str(cat)
cat$nrank <- as.character(cat$rank)
cat$nrank[cat$nrank =="back"] <- "3rear"
cat$nrank[cat$nrank =="front"] <- "1van"
cat$nrank[cat$nrank =="middle"] <- "2centre"
cat$nrank[cat$nrank =="not_join"] <- "4not_joined"


cat$plot <- paste(cat$nrank, cat$agesex, sep="_")


cat$plot <- as.factor(cat$plot)

head(cat)
unique(cat$rank)
d_plot <- subset (cat, cat$rank != "not_join")
unique(d_plot$rank)
unique(d_plot$plot)
d_plot$plot <- droplevels(d_plot$plot)
unique(d_plot$plot)


### Fig.3: 

boxplot((n/sum_foll) ~ plot, data=d_plot, col=c("black", "white", "darkgrey"), medcol=c("white", "black", "white") , frame.plot = FALSE, names= c("females", "males", "subadults", "females", "males", "subadults", "females", "males", "subadults"))
box(bty="l")
title(ylab="Position score", xlab= "VAN                            CENTRE                             REAR", font.lab = 2)





#### INTERACTIONS BETWEEN FACTORS ##############################################################################################

##Assortativity of affiliative realtionships by agesex

library (assortnet)


affil_A <- read.table(file="affil_A.txt",header=T) ###adjacency matrix with DSI
affil_A
attr_A <- read.table(file="attr_A.txt",header=T) ### attributes of the individuals
str(attr_A)

###putting in combined factor agesex

attr_A$agesex <- as.character(attr_A$sex)
attr_A$agesex[attr_A$age == "sub"] <- "sub"
attr_A$agesex <- as.factor(attr_A$agesex)


assort <- assortment.discrete(affil_A, attr_A$agesex, weighted=TRUE, SE=TRUE)
assort
#$r
# [1] -0.2825165
# 
# $se
# [1] 0.07887875
# 
# $mixing_matrix
#         f          m        sub        ai
# f   0.08986355 0.10801192 0.22023160 0.4181071
# m   0.10801192 0.05186862 0.09020834 0.2500889
# sub 0.22023160 0.09020834 0.02136409 0.3318040
# bi  0.41810708 0.25008889 0.33180404 1.0000000


affil_B <- read.table(file="affil_B.txt",header=T)
affil_B
attr_B <- read.table(file="attr_B.txt",header=T)
str(attr_B)

attr_B$agesex <- as.character(attr_B$sex)
attr_B$agesex[attr_B$age == "sub"] <- "sub"
attr_B$agesex <- as.factor(attr_B$agesex)

assort <- assortment.discrete(affil_B, attr_B$agesex, weighted=TRUE, SE=TRUE)
assort
# $r
# [1] -0.2137729
# 
# $se
# [1] 0.1254554
# 
# $mixing_matrix
#       f         m       sub        ai
# f   0.02471119 0.1656914 0.1212225 0.3116251
# m   0.16569142 0.1294048 0.1123855 0.4074817
# sub 0.12122250 0.1123855 0.0472852 0.2808932
# bi  0.31162511 0.4074817 0.2808932 1.0000000


affil_F <- read.table(file="affil_F.txt",header=T)
affil_F
attr_F <- read.table(file="attr_F.txt",header=T)
str(attr_F)

attr_F$agesex <- as.character(attr_F$sex)
attr_F$agesex[attr_F$age == "sub"] <- "sub"
attr_F$agesex <- as.factor(attr_F$agesex)

assort <- assortment.discrete(affil_F, attr_F$agesex, weighted=TRUE, SE=TRUE)
assort
# $r
# [1] -0.5012106
# 
# $se
# [1] 0.1433529
# 
# $mixing_matrix
#      f          m        sub        ai
# f   0.01735213 0.10793326 0.27835462 0.4036400
# m   0.10793326 0.00000000 0.09490387 0.2028371
# sub 0.27835462 0.09490387 0.02026437 0.3935229
# bi  0.40364001 0.20283713 0.39352286 1.0000000



affil_J <- read.table(file="affil_J.txt",header=T)
affil_J
attr_J <- read.table(file="attr_J.txt",header=T)
str(attr_J)

attr_J$agesex <- as.character(attr_J$sex)
attr_J$agesex[attr_J$age == "sub"] <- "sub"
attr_J$agesex <- as.factor(attr_J$agesex)

assort <- assortment.discrete(affil_J, attr_J$agesex, weighted=TRUE, SE=TRUE)
assort
# $r
# [1] -0.1594145
# 
# $se
# [1] 0.07894283
# 
# $mixing_matrix
#     m        sub          f        ai
# m   0.05796673 0.07477466 0.17272443 0.3054658
# sub 0.07477466 0.11921269 0.13802738 0.3320147
# f   0.17272443 0.13802738 0.05176762 0.3625194
# bi  0.30546583 0.33201473 0.36251944 1.0000000

# Watch out! This one gives the results in a different order! (Because of order in the attributes table)





### Distance to the initiator at departure dependent on agesex

d <- read.table(file="distini_all.txt",header=T)

head(d)
str(d)

d$sex[d$ID %in% c("al", "bo", "ca", "col", "cor", "ge", "hi", "hy", "in", "le", "lu", "ma", "mg", "pi", "pl", "qa", "ri", "sy")
      ] <- "f"
d$sex[d$ID %in% c("ba", "bb", "br", "gor", "goz", "ir", "ko", "my", "om", "pa", "ro", "tr", "vi")
      ] <- "m"

d$agesex <- d$sex
d$agesex[d$ID %in% c("bb", "br", "hi", "hy", "in", "le", "om", "qa", "ri", "sy")
         ] <- "sub"

unique(d$agesex)

d$agesex <- as.factor(d$agesex)


str(d)

sum(d$ID_sum)
#237



require(lmerTest)



#How often was an individual observed at a distance compared to the total sum of observations of this individual? (ID_sum) dependent on their agesex?


d1<- d[, c("group", "ID", "less1", "less3","less5", "less10", "over10","agesex")]
d2<- d[, c("group", "ID", "ID_sum", "agesex")]
d1 <- reshape(d1, direction = "long", varying = list(3:7), idvar = "ID", v.names = "n", times = c("less1", "less3","less5", "less10", "over10"), timevar = "distini")
d2 <- reshape(d2, direction = "long", varying = list(3), idvar = "ID", v.names = "n", times = c("ID_sum"), timevar = "distini")



head(d1)

d1$ID_sum <- d2$n

d1$agesexdist <- paste(d1$agesex, d1$distini, sep="_")

str(d1)

d1$distini <- as.factor(d1$distini)
d1$agesexdist <- as.factor(d1$agesexdist)

plot(d1$n/d1$ID_sum ~ d1$agesexdist)



m <-  lm((n/ID_sum) ~ -1 + agesexdist + group , data = d1)
par(mfrow=c(2,2))
plot(m)
par(mfrow=c(1,1))

kappa(model.matrix(m))
#25.30308

m0 <-  lm((n/ID_sum) ~ 1 , data = d1)
AIC(m)
#-144.9125
AIC(m0)
#-142.7171
anova(m0, m )

# Analysis of Variance Table

# Model 1: (n/ID_sum) ~ 1
# Model 2: (n/ID_sum) ~ -1 + agesexdist + group
#   Res.Df    RSS Df Sum of Sq      F   Pr(>F)   
# 1    154 3.5218                                
# 2    137 2.7884 17   0.73345 2.1198 0.009204 **


summary(m)


library(multcomp)



K <- matrix(nrow = 6, ncol = 18, 0)
K[1, ] <- c( 1, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)#fless1 - mless1
K[2, ] <- c( -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0)#subless1 - fless1
K[3, ] <- c( 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0)#subless1 - mless1
K[4, ] <- c( 0, 0, 0, 0, 1, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0)#fover10 - mover10
K[5, ] <- c( 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0)#subover10 - fover10
K[6, ] <- c( 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 0, 0, 0, 1, 0, 0, 0)#subover10 - mover10

(g <- glht(m, linfct = K))
set.seed(1604)
(ci <- confint(g))
summary(g)


#Simultaneous Confidence Intervals

# Fit: lm(formula = (n/ID_sum) ~ -1 + agesexdist + group, data = d1)
# 
# Quantile = 2.6334
# 95% family-wise confidence level
# 
# 
# Linear Hypotheses:
#   Estimate  lwr       upr      
# 1 == 0  0.024913 -0.139291  0.189118
# 2 == 0  0.038337 -0.125895  0.202569
# 3 == 0  0.063250 -0.104951  0.231452
# 4 == 0 -0.171090 -0.335295 -0.006886
# 5 == 0  0.057793 -0.106440  0.222025
# 6 == 0 -0.113297 -0.281499  0.054904
# 
# > summary(g)
# 
# Simultaneous Tests for General Linear Hypotheses
# 
# Fit: lm(formula = (n/ID_sum) ~ -1 + agesexdist + group, data = d1)
# 
# Linear Hypotheses:
#   Estimate Std. Error t value Pr(>|t|)  
# 1 == 0  0.02491    0.06235   0.400   0.9928  #fless1 - mless1
# 2 == 0  0.03834    0.06236   0.615   0.9644  #subless1 - fless1
# 3 == 0  0.06325    0.06387   0.990   0.8257  #subless1 - mless1
# 4 == 0 -0.17109    0.06235  -2.744   0.0371 * ###fover10 - mover10
# 5 == 0  0.05779    0.06236   0.927   0.8576  #subover10 - fover10
# 6 == 0 -0.11330    0.06387  -1.774   0.3298  #subover10 - mover10




### Is distance predicted by affiliation or agesex combination of the dyad?

d_all <- read.table(file="dist_affil.txt",header=T, dec=",")

head(d_all)
str(d_all)


d_all$eventID <- as.factor(d_all$eventID)
d_all$dist <- as.factor(d_all$dist)
d_all$dsi <- as.numeric(as.character(d_all$dsi))

## this needs the multiple membership dyad approach --> Bayesian!

library("coda")
library("MCMCglmm")

## not every ID appears in ID1 (initiator), so have to artificially put in as levels

levels <- sort(unique(c(levels(d_all$firstID), levels(d_all$folID))))
ho <- factor(as.character(d_all$firstID), levels = levels)
table(ho, d_all$firstID)

d_all$firstID <- ho
ho <- factor(as.character(d_all$folID), levels = levels)
table(ho, d_all$folID)
d_all$folID <- ho

d_all$agesex_dyad_r <- relevel(d_all$agesex_dyad, ref = "sub_sub")
head(d_all)


d_all$dsi <- d_all$dsi - print(mean(d_all$dsi))


prior_mixed <-  list(R = list(V = 1, nu = 0.005), 
                     B = list(mu = rep(0, 10), V = diag(10) * c(4, rep(1, 9))), 
                     G = list(G1 = list(V = 1, nu = 0.005),
                              G2 = list(V = 1, nu = 0.005)))
seed <- 13
set.seed(seed)
m_co <- MCMCglmm(dist ~ dsi + agesex_dyad_r + group, 
                 random = ~ mm(firstID + folID) + eventID,
                 family = "ordinal", 
                 data = d_all, prior = prior_mixed, 
                 burnin = 10000, nitt = 110000, thin = 100, verbose = FALSE)
summary(m_co)

# Iterations = 10001:109901
# Thinning interval  = 100
# Sample size  = 1000 
# 
# DIC: -244.992 
# 
# G-structure:  ~mm(firstID + folID)
# 
# post.mean l-95% CI u-95% CI eff.samp
# firstID+folID     1.278 0.001063    3.734    31.41
# 
# ~eventID
# 
# post.mean l-95% CI u-95% CI eff.samp
# eventID     8.536    1.262    19.72    17.87
# 
# R-structure:  ~units
# 
# post.mean l-95% CI u-95% CI eff.samp
# units     17.02    3.629    36.14    17.37
# 
# Location effects: dist ~ dsi + agesex_dyad_r + group 
# 
#                     post.mean l-95% CI u-95% CI eff.samp  pMCMC    
# (Intercept)          4.09903  1.85628  6.26955    48.42 <0.001 ***
# dsi                 -0.60600 -1.09896 -0.19984    45.50  0.002 ** 
# agesex_dyad_rf_f     0.94101 -0.50618  2.40302  1000.00  0.222    
# agesex_dyad_rf_m     0.89738 -0.26633  2.24656  1000.00  0.170    
# agesex_dyad_rf_sub  -0.01024 -1.20919  1.15153  1000.00  0.986    
# agesex_dyad_rm_m     1.17177 -0.41602  2.68240  1000.00  0.134    
# agesex_dyad_rm_sub  -0.07276 -1.31218  1.05352  1000.00  0.946    
# groupB               0.57878 -0.89219  2.32414  1000.00  0.462    
# groupF              -0.28813 -1.78376  1.38751   826.51  0.690    
# groupJ              -0.02006 -1.67313  1.51535   764.50  0.976    
# ---
#   Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1
# 
# Cutpoints: 
#   post.mean l-95% CI u-95% CI eff.samp
# cutpoint.traitdist.1     3.795    2.126    5.651    22.89
# cutpoint.traitdist.2     6.446    3.698    9.690    19.28
# cutpoint.traitdist.3    10.192    6.129   15.408    18.14


p.adjust(c(0.222, 0.170, 0.986, 0.134, 0.946), method= "holm")
#[1] 0.68 0.68 1.00 0.67 1.00
p.adjust(c(0.462, 0.690, 0.976), method= "holm")
#[1] 1 1 1



## Fig. S3

par(mfrow=c(1,1))
d_all$dist2 <- as.numeric(d_all$dist)
plot(d_all$dist2 ~ d_all$dsi, frame.plot = FALSE, ylab="", xlab="" )
box(bty="l")
title(ylab="Distance", xlab= "Affiliation (DSI)", font.lab= 2)


#### EFFECT OF AFFILATION ON FOLLOWING ################################################################################################

###Variation in affiliation strength (DSI)

dsi <- read.table("dsi_tat_all.txt", header=TRUE)
head(dsi)

## Fig. S4:
bins <- c(seq(0,11.7, length=118))
par(lwd=1)
hist(dsi$dsi,breaks=bins, xlab= "DSI", col= "black", border="white")



mean(dsi$dsi)
#1
median(dsi$dsi)
# 0.3808373
max(dsi$dsi)
# 11.69148
length(dsi$dsi)
#113
length(dsi$dsi[dsi$dsi>1])
#36
36/113
#0.3185841




### Effect of affiliation on the inter-departure interval



library("coda")
library("MCMCglmm")

## data prep ##

tat <- read.table(file="mtat_mean_A.txt", header=TRUE)
tat <- as.matrix(tat)  
colnames(tat) <- rownames(tat) <- c("cor", "goz", "hy", "le",  "pi", "pl", "tr", "vi")
tat_A <- tat
dsi <- read.table(file="dsi_A.txt", header=TRUE)
dsi <- as.matrix(dsi)  
colnames(dsi) <- rownames(dsi) <- c("cor", "goz", "hy", "le",  "pi", "pl", "tr", "vi")
dsi_A <- dsi

tat <- read.table(file="mtat_mean_B.txt", header=TRUE)
tat <- as.matrix(tat)  
colnames(tat) <- rownames(tat) <- c("al",  "bo",  "gor",  "ko",  "ri",  "bb")
tat_B <- tat
dsi <- read.table(file="dsi_B.txt", header=TRUE)
dsi <- as.matrix(dsi)  
colnames(dsi) <- rownames(dsi) <- c("al",  "bo",  "gor",	"ko",	"ri",	"bb")
dsi_B <- dsi

tat <- read.table(file="mtat_mean_F.txt", header=TRUE)
tat <- as.matrix(tat)  
colnames(tat) <- rownames(tat) <- c("lu", "mg", "my", "ro",  "hi", "in")
tat_F <- tat
dsi <- read.table(file="dsi_F.txt", header=TRUE)
dsi <- as.matrix(dsi)  
colnames(dsi) <- rownames(dsi) <- c("lu", "mg", "my", "ro",  "hi", "in")
dsi_F <- dsi

tat <- read.table(file="mtat_mean_J.txt", header=TRUE)
tat <- as.matrix(tat)  
colnames(tat) <- rownames(tat) <- c("ba", "br", "ca", "col",  "ge", "ir", "ma", "pa", "qa", "om", "sy")
tat_J <- tat
dsi <- read.table(file="dsi_J.txt", header=TRUE)
dsi <- as.matrix(dsi)  
colnames(dsi) <- rownames(dsi) <- c("ba", "br", "ca", "col",  "ge", "ir", "ma", "pa", "qa", "om", "sy")
dsi_J <- dsi

foo <- function(dsi, tat){
  sd_list <- vector("list", ncol(dsi)-1)
  for(i in 1:(ncol(dsi)-1)){
    id1 <- colnames(dsi)[i]
    ho_dsi <- dsi[, i]
    ho_tat <- tat[, i]
    hi <- as.numeric(which(is.na(ho_dsi)))
    ho_dsi <- ho_dsi[(hi+1):length(ho_dsi)]
    ho_tat <- ho_tat[(hi+1):length(ho_tat)]
    id2 <- names(ho_dsi)
    sd_list[[i]] <- data.frame(id1 = rep(id1, length(id2)), id2 = id2, dsi = ho_dsi, tat = ho_tat)
  }
  d <- do.call(rbind, sd_list)
  rownames(d) <- 1:nrow(d)
  return(d)
}

dA <- foo(dsi = dsi_A, tat = tat_A)
dB <- foo(dsi = dsi_B, tat = tat_B)
dF <- foo(dsi = dsi_F, tat = tat_F)
dJ <- foo(dsi = dsi_J, tat = tat_J)


d <- data.frame(id1 = c(as.character(dA$id1), as.character(dB$id1), as.character(dF$id1), as.character(dJ$id1)), 
                id2 = c(as.character(dA$id2), as.character(dB$id2), as.character(dF$id2), as.character(dJ$id2)), 
                tat = c(dA$tat, dB$tat, dF$tat, dJ$tat),
                dsi = c(dA$dsi, dB$dsi, dF$dsi, dJ$dsi),
                group = c(rep("A", nrow(dA)), rep("B", nrow(dB)), rep("F", nrow(dF)), rep("J", nrow(dJ))))



## exported d and added in sexage dyads (juvenile-juvenile, juvenile- adult female, juvenile-adult male, adult female-adult female, adult male-adult male)

d <- read.table(file="dyad_sexage.txt", header=TRUE)


##not every ID appears in ID1 (initiator), so have to artificially put in as levels

levels <- sort(unique(c(levels(d$id1), levels(d$id2))))
ho <- factor(as.character(d$id1), levels = levels)
table(ho, d$id1)
d$id1 <- ho
ho <- factor(as.character(d$id2), levels = levels)
table(ho, d$id2)
d$id2 <- ho


## end data prep ##


#Checking to see whether Gaussian is okay

require(lmerTest)

head(d)

m <- lm(tat ~ dsi + group + dyad, data = d)

m <- lmer (tat ~ dsi + group + (1|id1) + (1|id2) + (1|dyad), data = d)

par(mfrow = c(2, 2))
plot(m)
plot(density(residuals(m)))

par(mfrow = c(1, 1))

qqnorm(residuals(m)); qqline(residuals(m))
plot(fitted.values(m), residuals(m))


kappa(model.matrix(m))
#13.17789


#### Model ##########


### a multiple membership approach is used to account for the fact that individuals are part of several dyads. 


prior_mixed <-      list(R = list(V = 1, nu = 0.002), 
                         G = list(G1 = list(V = 1, nu = 0.002), 
                                  G2 = list(V = 1, nu = 0.002)))


seed <- 13
set.seed(seed)
m_mixed_sexage<- MCMCglmm(tat ~ dsi + group, 
                          random = ~ mm(id1 + id2) + dyad,
                          family = "gaussian", 
                          data = d, prior = prior_mixed, 
                          burnin = 100000, nitt = 1100000, thin = 1000, verbose = FALSE)
summary(m_mixed_sexage)

##"dyad" is the sex-age combination of juvenile, adult female and adult male in the dyad (jj, jf, jm, ff, mm)


#Warning message:
# In MCMCglmm(tat ~ dsi + group, random = ~mm(id1 + id2) + dyad, family = "gaussian",  :
#               some combinations in mm(id1 + id2) do not exist and 4 missing records have been generated
#             > summary(m_mixed_sexage)
#             
#             Iterations = 100001:1099001
#             Thinning interval  = 1000
#             Sample size  = 1000 
#             
#             DIC: -118.2615 
#             
#             G-structure:  ~mm(id1 + id2)
#             
#             post.mean l-95% CI u-95% CI eff.samp
#             id1+id2   0.01454 0.004684   0.0258     1000
#             
#             ~dyad
#             
#             post.mean  l-95% CI u-95% CI eff.samp
#             dyad   0.01427 0.0001825  0.05546     1000
#             
#             R-structure:  ~units
#             
#             post.mean l-95% CI u-95% CI eff.samp
#             units   0.01582  0.01108  0.02105     1000
#             
#             Location effects: tat ~ dsi + group 
#             
#                           post.mean  l-95% CI  u-95% CI eff.samp  pMCMC    
#             (Intercept)   1.013588  0.803359  1.191241     1292 <0.001 ***
#               dsi         -0.022077 -0.036036 -0.006611     1000  0.002 ** 
#               groupB       0.009884 -0.250084  0.291037     1000  0.930    
#               groupF       0.008997 -0.277316  0.262879     1000  0.966    
#               groupJ       0.013174 -0.245047  0.213218     1000  0.890  



p.adjust(c(0.930, 0.966,0.890), method= "holm")
#1 1 1


#### EFFECT OF PROXIMTIY AT DEPARTURE ON FOLLOWING ################################################################################################


### data prep ###


tat <- read.table(file="tat_dsi_all.txt",header=T, dec=",")

head(tat)
str(tat)

tat$eventID_num <- tat$eventID
tat$eventID <- as.factor(tat$eventID_num)
tat$distini <- as.factor(tat$distini)
tat$distprec <- as.factor(tat$distprec)

tat$dsi_ini <- as.numeric(as.character(tat$dsi_ini))
tat$dsi_prec <- as.numeric(as.character(tat$dsi_prec))

d <- tat

d$sex[d$folID %in% c("al", "bo", "ca", "col", "cor", "ge", "hi", "hy", "in", "le", "lu", "ma", "mg", "pi", "pl", "qa", "ri", "sy")
      ] <- "f"
d$sex[d$folID %in% c("ba", "bb", "br", "gor", "goz", "ir", "ko", "my", "om", "pa", "ro", "tr", "vi")
      ] <- "m"


d$age[d$folID %in% c("al", "ba", "bo", "ca", "col", "cor", "ge", "gor", "goz", "ir", "ko", "lu", "ma", "mg", "my", "pa", "pi", "pl", "qa", "ro", "tr", "vi")
      ] <- "adult"
d$age[d$folID %in% c("bb", "br", "hi", "hy", "in", "le", "om", "qa", "ri", "sy")
      ] <- "sub"

d$agesex <- d$sex
d$agesex[d$folID %in% c("bb", "br", "hi", "hy", "in", "le", "om", "qa", "ri", "sy")
         ] <- "sub"

unique(d$sex)
unique(d$age)
unique(d$agesex)

d$sex <- as.factor(d$sex)
d$age <- as.factor(d$age)
d$agesex <- as.factor(d$agesex)


d$groupsize[d$group %in% c("B", "F")
            ] <- "6"
d$groupsize[d$group %in% c("A")
            ] <- "8"
d$groupsize[d$group %in% c("J")
            ] <- "11"

str(d)
d$groupsize <- as.numeric(d$groupsize)

summary(d$latini)
#Min. 1st Qu.  Median    Mean 3rd Qu.    Max.    NA's 
#0      33      96     147     217     593      15 



#putting in mean latency of mov event:


library("plyr")


max(tat$eventID_num) ## how many group mov events are there?
#167

K <- 167 

dat <- data.frame(eventID_num=c(1:167))

dat$mean_ini <- rep("NA", 167)
dat$mean_prec <- rep("NA", 167)
dat$group <-rep("NA", 167)

for(k in 1:K){
  sd <- subset(d, eventID == k)
  
  dat$mean_ini[k] <- mean(sd$latini, na.rm=TRUE)
  dat$mean_prec[k] <- mean(sd$latprec, na.rm=TRUE)
  dat$group[k] <- as.character(sd$group[1])
}


head(dat)
str(dat)
dat$mean_ini <- as.numeric(dat$mean_ini)
dat$mean_prec <- as.numeric(dat$mean_prec)
dat$group <- as.factor(dat$group)

nrow(d)
#949


d$mean_ini <-  rep("NA", 949)

K <- 167
for(k in 1:K){
  d$mean_ini[d$eventID_num == k] <- dat$mean_ini[k]
}
d$mean_ini <- as.numeric(d$mean_ini)


d$mean_prec <-  rep("NA", 949)

K <- 167
for(k in 1:K){
  d$mean_prec[d$eventID_num == k] <- dat$mean_prec[k]
}

d$mean_prec <- as.numeric(d$mean_prec)



d$latini_mean <- d$latini/d$mean_ini

d$latprec_mean <- d$latprec/d$mean_prec

##these are the responses in the models 



###finding moves for which all distance data is available

library("plyr")

##for distini

K <- 167 ## number of mov events

dat <- data.frame(eventID_num=c(1:167))
dat$all <- rep("NA", 167)



for(k in 1:K){
  sd <- subset(d, eventID == k)
  
  dat$all[k] <- if (nrow(subset(sd, is.na(distini))) == 0) {
    print("yes")
  } else {
    print("no")
  }
}


dat
table(dat$all)
#no yes 
#134  33 


nrow(d)
#949
d$distini_all <-  rep("NA", 949)

K <- 167
for(k in 1:K){
  d$distini_all[d$eventID_num == k] <- dat$all[k]
}



## for distprec

K <- 167 ## number of mov events

dat <- data.frame(eventID_num=c(1:167))
dat$all <- rep("NA", 167)



for(k in 1:K){
  sd <- subset(d, eventID == k)
  
  dat$all[k] <- if (nrow(subset(sd, is.na(distprec))) == 0) {
    print("yes")
  } else {
    print("no")
  }
}


dat
table(dat$all)
#no yes 
#121  46 

nrow(d)
#949
d$distprec_all <-  rep("NA", 949)

K <- 167
for(k in 1:K){
  d$distprec_all[d$eventID_num == k] <- dat$all[k]
}


head(d)

d_ini <- d[,c(-7, -9, -12)]
d_ini <- subset(d_ini, distini_all == "yes")
head(d_ini)
d_ini <- na.omit(d_ini)
str(d_ini)
nrow(d_ini)
#159


d_prec <- d[,c(-6, -8, -11)]
d_prec <- subset(d_prec, distprec_all == "yes")
head(d_prec)
d_prec <- na.omit(d_prec)
str(d_prec)
nrow(d_prec)
#234

#how many events in each dist category?
table(d_ini$distini)
# 1  3  5 10 20 
#24 31 29 39 36

table(d_prec$distprec)
#1  3  5 10 20 
#44 63 52 45 30



d_ini$distini_r <- relevel(d_ini$distini, ref= "1")
d_ini$agesex_r <- relevel(d_ini$agesex, ref= "sub")

d_prec$distprec_r <- relevel(d_prec$distprec, ref= "1")
d_prec$agesex_r <- relevel(d_prec$agesex, ref= "sub")

d$agesex_r <- relevel(d$agesex, ref= "sub")

#### end of data prep ######


### Influence of distance to the initiator (distini) on following latency? #####

m <- lmer(log1p(latini_mean) ~ distini + agesex_r + (1 | iniID)  + (1 | folID) + (1|eventID) + (1|groupsize), data = d_ini)

qqnorm(residuals(m)); qqline(residuals(m))
plot(fitted.values(m), residuals(m))
kappa(model.matrix(m))
#6.629303

m0 <- lmer(log1p(latini_mean) ~  (1 | iniID)  + (1 | folID) + (1|eventID) + (1|groupsize), data = d_ini)

anova(m0, m)

#refitting model(s) with ML (instead of REML)
# Data: d_ini
# Models:
#   object: log1p(latini_mean) ~ (1 | iniID) + (1 | folID) + (1 | eventID) + 
#   object:     (1 | groupsize)
# ..1: log1p(latini_mean) ~ distini + agesex_r + (1 | iniID) + (1 | 
#                                                                 ..1:     folID) + (1 | eventID) + (1 | groupsize)
# Df    AIC    BIC  logLik deviance  Chisq Chi Df Pr(>Chisq)  
# object  6 90.376 108.79 -39.188   78.376                           
# ..1    12 89.017 125.84 -32.508   65.017 13.359      6    0.03768 *



summary(m)

# Linear mixed model fit by REML t-tests use Satterthwaite approximations to degrees of freedom [lmerMod]
# Formula: log1p(latini_mean) ~ distini + agesex_r + (1 | iniID) + (1 |  
#                                                                     folID) + (1 | eventID) + (1 | groupsize)
# Data: d_ini
# 
# REML criterion at convergence: 91.8
# 
# Scaled residuals: 
#   Min      1Q  Median      3Q     Max 
# -2.2572 -0.5766  0.1018  0.6959  2.6275 
# 
# Random effects:
#   Groups    Name        Variance Std.Dev.
# eventID   (Intercept) 0.00000  0.0000  
# folID     (Intercept) 0.01037  0.1018  
# iniID     (Intercept) 0.00000  0.0000  
# groupsize (Intercept) 0.00000  0.0000  
# Residual              0.08425  0.2903  
# Number of obs: 159, groups:  eventID, 33; folID, 31; iniID, 15; groupsize, 3
# 
# Fixed effects:
#   Estimate Std. Error        df t value Pr(>|t|)    
# (Intercept)   0.49821    0.07342   70.85000   6.786 2.92e-09 ***
# distini3      0.08884    0.08214  149.74000   1.081  0.28122    
# distini5      0.17611    0.08276  146.29000   2.128  0.03502 *  
# distini10     0.19809    0.07813  146.91000   2.536  0.01227 *  
# distini20     0.25279    0.08013  150.83000   3.155  0.00194 ** 
# agesex_rf    -0.03696    0.07360  23.81000    -0.502  0.62021    
# agesex_rm     0.01653    0.07538  24.79000     0.219  0.82822    
# ---
#   Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1
# 
# Correlation of Fixed Effects:
#   (Intr) distn3 distn5 dstn10 dstn20 agsx_rf
# distini3  -0.628                                    
# distini5  -0.587  0.564                             
# distini10 -0.607  0.597  0.596                      
# distini20 -0.617  0.582  0.577  0.601               
# agesex_rf -0.419  0.000 -0.060 -0.073 -0.055        
# agesex_rm -0.393 -0.013 -0.060 -0.097 -0.088  0.458 
# 


p.adjust(c(0.28122, 0.03502, 0.01227, 0.00194), method = "holm")
#0.28122 0.07004 0.03681 0.00776

p.adjust(c(0.62021, 0.82822), method = "holm")
#1 1




### Influence of distance to the predecessor (distprec) on following latency? 

m <- lmer(sqrt(latprec_mean) ~ distprec + agesex_r + (1 | precID)  + (1 | folID) + (1|eventID) + (1|groupsize/numbprec), data = d_prec)

qqnorm(residuals(m)); qqline(residuals(m))
plot(fitted.values(m), residuals(m))
kappa(model.matrix(m))
#6.241886



m0 <- lmer(sqrt(latprec_mean) ~  (1 | precID)  + (1 | folID) + (1|eventID) + (1|groupsize/numbprec), data = d_prec)
anova(m0, m)

#refitting model(s) with ML (instead of REML)
# Data: d_prec
# Models:
#   object: sqrt(latprec_mean) ~ (1 | precID) + (1 | folID) + (1 | eventID) + 
#   object:     (1 | groupsize/numbprec)
# ..1: sqrt(latprec_mean) ~ distprec + agesex_r + (1 | precID) + (1 | 
#                                                                   ..1:     folID) + (1 | eventID) + (1 | groupsize/numbprec)
#         Df AIC    BIC   logLik  deviance Chisq Chi Df Pr(>Chisq)  
# object  7 345.63 369.82 -165.82   331.63                          
# ..1    13 341.10 386.02 -157.55   315.10 16.53      6    0.01118 *
#   



summary(m)

#Linear mixed model fit by REML 
# t-tests use  Satterthwaite approximations to degrees of freedom ['lmerMod']
# Formula: sqrt(latprec_mean) ~ distprec + agesex_r + (1 | precID) + (1 |      folID) + (1 | eventID) + (1 | groupsize/numbprec)
# Data: d_prec
# 
# REML criterion at convergence: 338.6
# 
# Scaled residuals: 
#   Min       1Q   Median       3Q      Max 
# -2.19324 -0.74497 -0.05773  0.61911  2.35588 
# 
# Random effects:
#   Groups             Name        Variance  Std.Dev.
# eventID            (Intercept) 0.000e+00 0.000000
# folID              (Intercept) 8.075e-05 0.008986
# precID             (Intercept) 7.340e-03 0.085676
# numbprec:groupsize (Intercept) 1.018e-02 0.100895
# groupsize          (Intercept) 0.000e+00 0.000000
# Residual                       2.180e-01 0.466855
# Number of obs: 234, groups:  eventID, 46; folID, 31; precID, 31; numbprec:groupsize, 22; groupsize, 3
# 
# Fixed effects:
#   Estimate Std. Error        df t value Pr(>|t|)    
# (Intercept)   0.63535    0.08515  71.28000   7.462 1.63e-10 ***
#   distprec3     0.10625    0.09339 210.43000   1.138  0.25655    
# distprec5     0.12939    0.09797 215.48000   1.321  0.18802    
# distprec10    0.15646    0.10162 213.81000   1.540  0.12512    
# distprec20    0.30788    0.11594 222.07000   2.655  0.00849 ** 
#   agesex_rf     0.19742    0.07815  21.81000   2.526  0.01930 *  
#   agesex_rm     0.14276    0.07837  20.35000   1.822  0.08324 .  
# ---
#   Signif. codes:  0 '***' 0.001 '**' 0.01 '*' 0.05 '.' 0.1 ' ' 1
# 
# Correlation of Fixed Effects:
#   (Intr) dstpr3 dstpr5 dstp10 dstp20 agsx_rf
# distprec3  -0.655                                    
# distprec5  -0.585  0.557                             
# distprec10 -0.548  0.540  0.531                      
# distprec20 -0.479  0.481  0.486  0.466               
# agesex_rf  -0.319 -0.022 -0.102 -0.100 -0.143        
# agesex_rm  -0.334  0.019 -0.085 -0.130 -0.150  0.448 


p.adjust( c(0.25655, 0.18802, 0.12512, 0.00849), method= "holm")
#0.37604 0.37604 0.37536 0.03396

p.adjust(c(0.01930, 0.08324), method = "holm")
#0.03860 0.08324



### plotting ###


##Fig.4:

par(mfrow=c(1,2))


boxplot(d_prec$latprec_mean ~ d_prec$distprec, col = "black", medcol= "white" , frame.plot = FALSE,  names= c("0 - 1m", "1 - 3m", "3 - 5m", "5 - 10m", ">10m"))
box(bty="l")
title(ylab="Latency to predecessor / mean lat. to pred. of movement", xlab= "Distance to predecessor", font.lab = 2)


boxplot(d_ini$latini_mean ~ d_ini$distini, col = "black", medcol= "white" , frame.plot = FALSE, names= c("0 - 1m", "1 - 3m", "3 - 5m", "5 - 10m", ">10m"))
box(bty="l")
title(ylab="Latency to initiator / mean lat. to ini. of movement", xlab= "Distance to initiator", font.lab= 2)
